# metric.hpp File Reference

`#include <map>`
`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/monitorable.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/context.hpp>`
`#include <saga/saga/detail/attribute.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::attributes
## Classes
class | saga::metric
| Brief description starts here. More...
## Variables
char const *const | saga::attributes::metric_name = "Name"
char const *const | saga::attributes::metric_description = "Description"
char const *const | saga::attributes::metric_mode = "Mode"
char const *const | saga::attributes::metric_unit = "Unit"
char const *const | saga::attributes::metric_type = "Type"
char const *const | saga::attributes::metric_value = "Value"
char const *const | saga::attributes::metric_type_string = "String"
char const *const | saga::attributes::metric_type_int = "Int"
char const *const | saga::attributes::metric_type_enum = "Enum"
char const *const | saga::attributes::metric_type_float = "Float"
char const *const | saga::attributes::metric_type_bool = "Bool"
char const *const | saga::attributes::metric_type_time = "Time"
char const *const | saga::attributes::metric_type_trigger = "Trigger"
char const *const | saga::attributes::metric_mode_readonly = "ReadOnly"
char const *const | saga::attributes::metric_mode_readwrite = "ReadWrite"
char const *const | saga::attributes::metric_mode_final = "Final"